#Include 'Protheus.ch'

/*/{Protheus.doc} MA103ATF
Ponto de entrada utilizado pelo importador da ConexoNF-e para manipulao das informaes na importao de produto com Ativo Fixo, conforme abaixo:

    User Function GTPE015()
    
        If (FwIsInCallStack("U_GATI001") .Or. FwIsInCallStack("U_CXNFJOB4"))
            //Adio de campos - SN1
            aAdd(aCab,{"N1_STATUS", "2" }) // Bloqueado por usurio

            //Adio de campos - SN3
            For nItem := 1 To Len(aItens)
                aAdd(aItens[nItem],{"N3_HISTOR" , "Ativo inserido pelo Importador XML" })
                aAdd(aItens[nItem],{"N3_CUSTBEM", SD1->D1_CC })
                aAdd(aItens[nItem],{"N3_CCUSTO" , SD1->D1_CC })
                aAdd(aItens[nItem],{"N3_CCONTAB", SD1->D1_CONTA })
            Next nItem
        EndIf

    Return({aCab,aItens})

@author ConexoNF-e
@since 12/12/2022
@version 1.0
@return aRet, Array contendo informaes de Situao (SN1), Histrico, Centro de Custo e Conta Contbil (SN3)
@see (https://atendimento.conexaonfe.com.br/)
/*/
User Function MA103ATF()
Local aRet := {}

    // Ponto de chamada ConexoNF-e sempre como primeira instruo.
    aRet := U_GTPE015()

    // If
    //     Regra existente
    //     [...]
    // EndIf

Return aRet
