#Include "Protheus.ch"

/*/{Protheus.doc} MT103BDP
Ponto de entrada utilizado pelo importador da ConexoNF-e para manipular o valor do frete na classificao de uma pr-nota com pedido de compra.
O ponto de entrada MT103BDP est localizado no Documento de Entrada e tem a finalidade de indicar se o aCols de Duplicatas ser bloqueado, 
porm nesse contexto  utilizado apenas para manipulao do array fiscal (IT_FRETE), via MaFisAlt, conforme abaixo:

    User Function GTPE020()
    
        If (nPosFrete := aScan(aHeader,{|x| AllTrim(x[2]) == "D1_VALFRE" })) > 0
            For nI := 1 To Len(aCols)
                If MaFisRet(nI,"IT_FRETE") <> aCols[nI][nPosFrete]
                    // Atualiza o array fiscal com informao do aCols do prprio SD1
                    MaFisAlt("IT_FRETE",aCols[nI][nPosFrete],nI)
                EndIf
            Next nI
        EndIf

    Return Nil

@author ConexoNF-e
@since 12/12/2022
@version 1.0
@return lRet, .T. = Bloqueia a edio do Acols SE2 .F. = No Bloqueia
@see (https://atendimento.conexaonfe.com.br/)
/*/
User Function MT103BDP()
Local lRet := .F.

    // Ponto de chamada ConexoNF-e sempre como primeira instruo.
    U_GTPE020()

    // If
    //     Regra existente
    //     [...]
    // EndIf

Return lRet
